midi_play_plugin

一个支持iOS与Android的midi播放器

Using

支持iOS与Android

###iOS


###Android

需要在安卓的assets文件夹目录下添加一个GS.sf2的音色文件.

修改模块级 build.gradle 文件以启用 MultiDex,并将 MultiDex 库添加为依赖项,如下所示:

android {
    defaultConfig {
        ...
        minSdkVersion 15
        targetSdkVersion 28
        multiDexEnabled true
    }
    ...
}

dependencies {
  implementation "androidx.multidex:multidex:2.0.1"
}

Getting Started

call.method

"midiShortMsg" ----> MIDI消息的
"midiPreloadBank" ----> 
"midiSysEx" ----> 
"midiAllNotesOff" ----> 此方法关闭所有MIDI的声音

call.arguments

"inStatus"

0x80
0x90

0xA0
0xB0
0xD0
0xE0

0xC0


"inData1" ----> 
"inData2" ----> 

Libraries

midi_play_plugin